org.springframework.ldap.filter

## Class BinaryLogicalFilter

- java.lang.Object
- - org.springframework.ldap.filter.AbstractFilter
  - - org.springframework.ldap.filter.BinaryLogicalFilter

- All Implemented Interfaces:
    Filter
  Direct Known Subclasses:
    AndFilter, OrFilter

      public abstract class BinaryLogicalFilter
      extends AbstractFilter

  Abstract superclass for binary logical operations, that is "AND" and "OR" operations.
  Author:
    Mattias Hellborg Arthursson

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryLogicalFilter()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BinaryLogicalFilter` | `append(Filter query)` Add a query to this logical operation.
    `BinaryLogicalFilter` | `appendAll(Collection<Filter> subQueries)`
    `StringBuffer` | `encode(StringBuffer buff)` Encodes the filter to a StringBuffer.
    `boolean` | `equals(Object o)` All filters must implement equals.
    `protected abstract String` | `getLogicalOperator()` Implement this in subclass to return the logical operator, for example "&".
    `int` | `hashCode()` All filters must implement hashCode.

    - ### Methods inherited from class org.springframework.ldap.filter.AbstractFilter

      `encode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryLogicalFilter

          public BinaryLogicalFilter()

  - ### Method Detail

    - #### encode

          public StringBuffer encode(StringBuffer buff)

      Description copied from interface: `Filter`
      Encodes the filter to a StringBuffer.
      Parameters:
        `buff` - The StringBuffer to encode the filter to
      Returns:
        The same StringBuffer as was given

    - #### getLogicalOperator

          protected abstract String getLogicalOperator()

      Implement this in subclass to return the logical operator, for example "&".
      Returns:
        the logical operator.

    - #### equals

          public boolean equals(Object o)

      Description copied from interface: `Filter`
      All filters must implement equals.
      Specified by:
        `equals` in interface `Filter`
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if the objects are equal.

    - #### hashCode

          public int hashCode()

      Description copied from interface: `Filter`
      All filters must implement hashCode.
      Specified by:
        `hashCode` in interface `Filter`
      Overrides:
        `hashCode` in class `Object`
      Returns:
        the hash code according to the contract in `Object.hashCode()`

    - #### append

          public final BinaryLogicalFilter append(Filter query)

      Add a query to this logical operation.
      Parameters:
        `query` - the query to add.
      Returns:
        This instance.

    - #### appendAll

          public final BinaryLogicalFilter appendAll(Collection<Filter> subQueries)